PdfArray (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfArray

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfObject
          edu.harvard.hul.ois.jhove.module.pdf.PdfArray

    public class PdfArray

extends PdfObject

A representation of a PDF array object.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`_genNumber, _objNumber`

Constructor Summary
`PdfArray()` Creates a PdfArray object with empty contents.
`PdfArray(int objNumber, int genNumber)` Creates a PdfArray object.

Method Summary
`void` | `add(PdfObject obj)` Adds an object to the array.
`java.util.Vector<PdfObject>` | `getContent()` Return the contents of the array as a Vector.
`boolean` | `isPdfACompliant()` Report if it's within implementation limits defined for PDF/A.
`java.lang.String` | `toPipeline()` Concatenate the elements, if they are PdfSimpleObjects, into a string separated by spaces.
`double[]` | `toRectangle()` Attempts to convert this Array to a PDF rectangle.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`getGenNumber, getObjNumber, setGenNumber, setObjNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfArray

    public PdfArray(int objNumber,
                    int genNumber)

  Creates a PdfArray object.

  Parameters:
    `objNumber` - The PDF object number
    `genNumber` - The PDF generation number

### PdfArray

    public PdfArray()

  Creates a PdfArray object with empty contents.

Method Detail

### add

    public void add(PdfObject obj)

  Adds an object to the array.

### getContent

    public java.util.Vector<PdfObject> getContent()

  Return the contents of the array as a Vector.

### isPdfACompliant

    public boolean isPdfACompliant()

  Report if it's within implementation limits defined for PDF/A.

### toPipeline

    public java.lang.String toPipeline()

  Concatenate the elements, if they are PdfSimpleObjects, into a string separated by spaces. Return an empty string if there are no PdfSimpleObjects.

### toRectangle

    public double[] toRectangle()

  Attempts to convert this Array to a PDF rectangle. If the Array is a valid rectangle (i.e., an array of exactly four numbers), returns a Java array of four doubles reflecting the rectangle. Otherwise returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD